# Dokumentation

Eine auflistung von allen Funktionen und API-Endpunkten mit Erklärung.

- User
- Einkaufsliste
- Zutaten
- Einheiten

---

## User

### User erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/user

BODY
{
  "username": "Benutzername",
  "email": "email"
  "password": "Passwort",
}
```

### Aktueller User ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/user
```

### Daten des akteullen User ändern
```shell
PUT 127.0.0.1/DirektiveDesDons/user

BODY
{
  "username": "Benutzername",
  "password": "Passwort"
}
```

### Login
```shell
POST 127.0.0.1/DirektiveDesDons/login

BODY
{
  "username": "Benutzername",
  "password": "Passwort"
}
```

---

## Einkaufsliste

### Einkaufsliste erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/shoppinglist

BODY
{
  "name": "Einkaufsliste 1"
  "backgoundColor": "#123",
}
```

### Einkauslisten ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/shoppinglist
```

### Einkaufsliste ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/shoppinglist/1
```

### Zutat zu Einkaufsliste hinzufügen
```shell
POST 127.0.0.1/DirektiveDesDons/shoppinglist/1

BODY
{
  "incredientId": 1
}
```

---

## Zutaten

### Zutaten erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/ingredient

BODY
{
  "name": "Nüsse",
  "calories": "123",
  "quantity": "5",
  "unit": "st",
  "price": "12.5"
}
```

### Zutaten ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/ingredient
```

### Zutat ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/ingredient/1
```

---

## MengenEinheiten

### Einheiten auflisten
```shell
GET 127.0.0.1/DirektiveDesDons/unit
```
### Einheit Erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/unit

BODY
{
  "name": "lbs"
}
```